"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apputils_1 = require("@jupyterlab/apputils");
const coreutils_1 = require("@jupyterlab/coreutils");
const request_1 = require("./request");
function generateSample(app, docManager) {
    apputils_1.showDialog({
        buttons: [apputils_1.Dialog.cancelButton(), apputils_1.Dialog.okButton({ label: "Ok" })],
        title: "Generate Preview?",
    }).then((result) => {
        if (result.button.label === "CANCEL") {
            return;
        }
        const context = docManager.contextForWidget(app.shell.currentWidget);
        let path = "";
        let model = {};
        if (context) {
            path = context.path;
            model = context.model.toJSON();
        }
        return new Promise((resolve) => {
            request_1.request("post", coreutils_1.PageConfig.getBaseUrl() + "jupyterlab_powerpoint/generate", {}, { path, model }).then((res) => {
                if (res.ok) {
                    // todo
                }
                else {
                    apputils_1.showDialog({
                        body: "Check the Jupyter logs for the exception.",
                        buttons: [apputils_1.Dialog.okButton({ label: "Ok" })],
                        title: "Something went wrong!",
                    }).then(() => { resolve(); });
                }
            });
        });
    });
}
exports.generateSample = generateSample;
